@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Belleza&family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Open+Sans:wght@800&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@500&family=Open+Sans:wght@800&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
}

body {
  font-family: "Montserrat", sans-serif;
}

.container {
  min-height: 100%;
  width: 100%;
  background-color: #1b033b;
  background-image: linear-gradient(135deg, #1a0333 0%, #180525 74%);
  overflow-x: hidden;
  transform-style: preserve-3d;
  /* changes */
  display: flex;
  justify-content: center;
  align-items: center;
}

/* changes */
.main-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

/* changes */
.main {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  flex-wrap: wrap;
  align-items: flex-start;
}

/* changes */
header {
  height: auto;
}

.hamburger-menu {
  height: 4rem;
  width: 3rem;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: flex-end;
  grid-column: span 1;
}

.bar {
  width: 1.9rem;
  height: 1.5px;
  border-radius: 2px;
  background-color: #eee;
  transition: 0.5s;
  position: relative;
}

.bar:before,
.bar:after {
  content: "";
  position: absolute;
  width: inherit;
  height: inherit;
  background-color: #eee;
  transition: 0.5s;
}

.bar:before {
  transform: translateY(-9px);
}

.bar:after {
  transform: translateY(9px);
}

.main {
  position: relative;
  width: 100%;
  left: 0;
  z-index: 5;
  overflow: hidden;
  transform-origin: left;
  transform-style: preserve-3d;
  transition: 0.5s;
}

header {
  min-height: 100vh;
  width: 100%;
  position: relative;
}

.overlay {
  position: relative;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background-color: rgba(26, 3, 37, 0.089);
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Navbar */

.subnav {
  font-size: 23px;
  font-family: "Montserrat";
  text-decoration: none;
  color: #fff;
}

.s4 {
  display: none;
}

.navbar {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 10;
  height: 60px;
  -webkit-backdrop-filter: blur(6px);
  backdrop-filter: blur(6px);
}

.menu {
  width: 100%;
  padding: 0rem 2rem;
  margin: auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: #fff;
}

.image {
  width: 5rem;
  height: 3rem;
}

.scene {
  position: relative;
  width: 100vw;
  height: 100vh;
  background: #000;
  background-size: 100%;
}

.innerbox {
  display: flex;
}

.moon {
  display: flex;
  flex-direction: column;
  position: absolute;
  top: 175px;
  left: 120px;
}

.name {
  position: relative;
  top: 50px;
  left: -55px;
  font-size: 80px;
  color: #fff;
  font-family: "Belleza", cursive;
}

.tagline {
  position: relative;
  left: 150px;
  color: #fff;
  font-family: "Belleza", cursive;
  font-size: 30px;
  letter-spacing: 2px;
}

.scene i {
  position: absolute;
  background: #fff;
  border-radius: 50%;
  animation: animate linear infinite;
}

@keyframes animate {
  0% {
    opacity: 0;
    transform: translateY(0);
  }

  10%,
  90% {
    opacity: 1;
  }

  100% {
    opacity: 0;
    transform: translateY(-100px);
  }
}

@keyframes moon {
  25% {
    transform: rotateZ(15deg);
  }

  75% {
    transform: rotateZ(-15deg);
  }
}

/* Tagline part finish */

/* Mission and Vission */

.events {
  width: 100%;
  height: 100%;
  background: inherit;
  color: #fff;
}

.current {
  padding-top: 60px;
}



.structure {
  width: 100vw;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-bottom: 0px;
}

.star-trails {
  position: absolute;
  opacity: 0.5;
  right: -70px;
}

.system {
  position: absolute;
  opacity: 0.7;
  left: -100px;
  bottom: 1325px;
}

.system img {
  width: 300px;
  height: 300px;
}

.row1 {
  font-family: "belleza", cursive;
  font-size: 1.2rem;
  padding: 0rem 3.5rem;
}

.img2 {
  width: 300px;
  height: 300px;
  margin: 50px 150px;
}

.H1 {
  font-family: "Open Sans", sans-serif;
  font-size: 54px;
  color: #999794;
}

.H2 {
  font-family: "Montserrat", sans-serif;
  font-family: "Open Sans", sans-serif;
}

.a1,
.a2 {
  width: 300px;
  height: 300px;
}

.a1 {
  transform: rotateZ(25deg) translate(100px, -60px);
}

.a2 {
  transform: rotateZ(-25deg) translate(-150px, -40px);
}

.pastEvents,
.futureEvents {
  background-color: #000;
  color: white;
  padding-top: 60px;
}

.gallery {
  background-color: #000;
  color: white;
  padding-top: 60px;
}

/* Gallery Finish */

/* Winners */

/* Winners Finish */

/* Footer */

footer {
  background-image: url("images/space.png");
  background-size: 100vw 100%;
  color: #fff;
  padding: 50px;
}

.foot {
  display: flex;
  justify-content: space-between;
  border-bottom: solid 5px #fff;
}

.Icons {
  margin: 40px 0px;
}

.ftext {
  margin: 50px 0px;
  font-size: 30px;
  line-height: 3;
}

.fhead {
  font-size: 22px;
  line-height: 2;
}

.fsub {
  font-size: 18px;
  line-height: 2;
}

.endtext {
  padding: 20px 0px;
}

/* Footer Finish */

p {
  padding: 2rem 2rem;
  line-height: 2;
  font-family: "Montserrat", sans-serif;
}

.vision-p {
  padding: 0rem 1rem;
  line-height: 2;
  font-family: "Montserrat", sans-serif;
  text-align: center;
}

p span {
  font-weight: 600;
}

.btn {
  margin-top: 1rem;
  padding: 0.6rem 1.8rem;
  background-color: #1179e7;
  border: none;
  border-radius: 25px;
  color: #fff;
  text-transform: uppercase;
  cursor: pointer;
  text-decoration: none;
}

.navbar.active .bar {
  transform: rotate(360deg);
  background-color: transparent;
}

.navbar.active .bar:before {
  transform: translateY(0) rotate(45deg);
}

.navbar.active .bar:after {
  transform: translateY(0) rotate(-45deg);
}

.navbar.active .subnav {
  display: none;
}

.container.active .main {
  animation: main-animation 0.5s ease;
  cursor: pointer;
  transform: perspective(1300px) rotateY(20deg) translateZ(310px) scale(0.5);
}

.container.active .main .mainbody {
  display: none;
}

@keyframes main-animation {
  from {
    transform: translate(0);
  }

  to {
    transform: perspective(1300px) rotateY(20deg) translateZ(310px) scale(0.5);
  }
}

.links {
  position: absolute;
  width: 30%;
  right: 0;
  top: 0;
  height: 100vh;
  z-index: 2;
  display: flex;
  justify-content: center;
  align-items: center;
}

ul {
  list-style: none;
}

.links a {
  text-decoration: none;
  color: #eee;
  padding: 0.7rem 0;
  display: inline-block;
  font-size: 1.1 rem;
  font-weight: 300;
  text-transform: uppercase;
  letter-spacing: 1px;
  font-family: "montserrat", sans-serif;
  transition: 0.3s;
  opacity: 0;
  transform: translateY(10px);
  animation: hide 0.5s forwards ease;
}

.links a:hover {
  color: #1179e7;
}

.container.active .links a {
  animation: appear 0.5s forwards ease 0.2s;
}

@keyframes appear {
  from {
    opacity: 0;
    transform: translateY(10px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes hide {
  from {
    opacity: 1;
    transform: translateY(0);
  }

  to {
    opacity: 0;
    transform: translateY(10px);
  }
}

.shadow {
  position: absolute;
  width: 100%;
  height: 100vh;
  top: 0;
  left: 0;
  transform-style: preserve-3d;
  transform-origin: left;
  transition: 0.5s;
  background-color: white;
}

.shadow.one {
  z-index: -1;
  opacity: 0.15;
}

.shadow.two {
  z-index: -2;
  opacity: 0.1;
}

.container.active .shadow.one {
  animation: shadow-one 0.6s ease-out;
  transform: perspective(1300px) rotateY(20deg) translateZ(215px) scale(0.5);
}

@keyframes shadow-one {
  0% {
    transform: translate(0);
  }

  5% {
    transform: perspective(1300px) rotateY(20deg) translateZ(310px) scale(0.5);
  }

  100% {
    transform: perspective(1300px) rotateY(20deg) translateZ(215px) scale(0.5);
  }
}

.container.active .shadow.two {
  animation: shadow-two 0.6s ease-out;
  transform: perspective(1300px) rotateY(20deg) translateZ(120px) scale(0.5);
}

@keyframes shadow-two {
  0% {
    transform: translate(0);
  }

  20% {
    transform: perspective(1300px) rotateY(20deg) translateZ(310px) scale(0.5);
  }

  100% {
    transform: perspective(1300px) rotateY(20deg) translateZ(120px) scale(0.5);
  }
}

.container.active .main:hover+.shadow.one {
  transform: perspective(1300px) rotateY(20deg) translateZ(230px) scale(0.5);
}

.container.active .main:hover {
  transform: perspective(1300px) rotateY(20deg) translateZ(340px) scale(0.5);
}

.container1 {
  width: 100%;
  background-color: #fff;
  height: 100vh;
}

@media screen and (max-width:600px) {

  /* .mainbody {
    position: relative;
    top: 420px;
  } */
  .infoCard {
    transform: perspective(100px) rotateX(0.2deg) scale(0.8);
    display: flex;
    flex-direction: column;
    width: 110%;
    margin: none;
  }


  /* .pastEvent {
    margin: 0;
  } */

  .pictureDiv {
    padding: 0;
    animation: floatX 3s ease-in-out infinite;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .pictureDiv .picture {
    transform: scale(0.8);
    /* Reduces image size to 80% */
  }

  .picture {
    max-width: 100%;
    height: 30rem;
    border-radius: 8%;
    box-shadow: 0px 0px 10px #000;
    transition: all 0.5s ease-in-out;
  }

  .date {
    margin-right: 0;
    display: flex;
  }

  .title {
    display: flex;
    text-align: center;
    width: 70%;
    padding: 0;
    position: relative;
    left: 25px;
    font-size: 2.75rem;

  }

  .head {
    width: 100%;
    padding: 0;
    display: flex;
    justify-content: center;

  }

  .date {
    position: relative;
    left: 35px;
  }

  .calendar {
    transform: scale(0.8);

  }

  .info {
    padding: 2rem;
    padding-bottom: 4rem;
  }

  .menu {
    padding: 0;
    padding-right: 15px;
  }

  #primary li a {
    font-size: 1.3rem;
  }

  .H1 {
    font-size: 2.5rem;
  }

  /*FOOTER START*/
  footer {
    padding: 1rem 1rem;
  }

  .Icons i {
    display: block;
  }

  .Icons a {
    text-decoration: none;
  }

  .Icons {
    display: flex;
    align-items: center;
    justify-content: space-around;
  }

  /*FOOTER END*/

  /* HAMBURGER ICON MOBILE RESPONSIVE CODE STARTS */

  .container.active .main {
    transform: perspective(800px) rotateY(15deg) translateZ(80px) scale(0.4);
    overflow: hidden;
    /* Prevents content overlap */
  }

  .navbar.active .bar {
    transform: rotate(180deg);
  }

  .navbar.active .subnav {
    display: none;
  }

  .container.active .main .mainbody {
    display: none;
  }

  @keyframes main-animation {
    from {
      transform: perspective(800px) rotateY(15deg) translateZ(80px) scale(0.4);
    }

    to {
      transform: perspective(800px) rotateY(15deg) translateZ(80px) scale(0.4);
    }
  }

  /* HAMBURGER ICON MOBILE RESPONSIVE CODE ENDS */
  .shadow.one {
    display: none;
  }

  .shadow.two {
    display: none;
  }

  .container.active {
    height: 100vh;
  }
}